/*

    Zelda Picross

    Copyright (C) 2010  Vincent Jouillat

    Please send bugreports with examples or suggestions to www.zeldaroth.fr

*/

#ifndef __AUDIO_H__
#define __AUDIO_H__

#include <SDL/SDL_mixer.h>

class Audio {
    public :
        static Audio* getInstance();
        void playSound(int id, int chl = -1);
        void stopSound();
        void playMusic(int id);
        void stopMusic();
        void replayMusic();
        void setVolume(int volume);
        void setVolson(int volson);
    private :
        Audio();
        ~Audio();
        static Audio instance;
        void loadSounds();
        void freeSounds();
        Mix_Music* choixMusique(int id);
        
        bool SOUND;
        int previous_volume;
        int volume;
        int musiqueId;
        bool playing;
        Mix_Chunk** sons;
        Mix_Music* music;

};

#endif  // Audio.h
